Skip to main content
POST
/
api
/
user
/
invite
Invite User
curl --request POST \
  --url https://app.replay.sale/api/user/invite \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "email": "john.doe@example.com",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "role": "User",
  "sendEmail": false
}
'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "email": "john.doe@example.com",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "role": "User",
  "expirationDate": "2026-03-26T12:00:00.000Z",
  "createdAt": "2026-02-24T12:00:00.000Z",
  "resendCount": 0,
  "invitationUrl": "https://app.replay.sale/onboard/link?invitationId=123e4567-e89b-12d3-a456-426614174000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.replay.sale/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from your company settings.

Body

application/json
email
string<email>
required

Email address to send the invitation to

Example:

"john.doe@example.com"

teamId
string<uuid>
required

ID of the team to assign the invited user to. Use GET /api/team to list available teams.

Example:

"550e8400-e29b-41d4-a716-446655440000"

role
enum<string>
required

Role to assign to the invited user. 'User' for standard reps, 'Manager' for team managers.

Available options:
User,
Manager
Example:

"User"

sendEmail
boolean
default:false

When true, Replay sends the invitation email to the user. When false (default), only the invitation record is created and the invitationUrl is returned for the caller to distribute.

Example:

false

Response

Invitation created or resent successfully

id
string<uuid>
required

Unique identifier for the invitation

Example:

"123e4567-e89b-12d3-a456-426614174000"

email
string<email>
required

Email address the invitation was sent to

Example:

"john.doe@example.com"

teamId
string<uuid>
required

ID of the team the user will be assigned to

Example:

"550e8400-e29b-41d4-a716-446655440000"

role
string
required

Role assigned to the invited user

Example:

"User"

expirationDate
string<date-time>
required

When the invitation expires (30 days from creation)

Example:

"2026-03-26T12:00:00.000Z"

createdAt
string<date-time>
required

When the invitation was created

Example:

"2026-02-24T12:00:00.000Z"

resendCount
integer
required

Number of times the invitation email has been resent (0 for new invitations)

Required range: x >= 0
Example:

0

invitationUrl
string<uri>
required

URL the invited user should visit to accept the invitation and complete onboarding.

Example:

"https://app.replay.sale/onboard/link?invitationId=123e4567-e89b-12d3-a456-426614174000"